Subject: bug#65157: 30.0.50; Android port post-merge warnings?

From: Po Lu <[email-masked]>
Date: Wed, 09 Aug 2023 21:28:44 +0800

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked]
>> Date: Wed, 09 Aug 2023 09:53:13 +0800
>> From:  Po Lu via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> Jens Schmidt <[email-masked]> writes:
>> 
>> > ./android.texi:320: warning: node `Android Windowing' is next for
>> > `Android Environment' in menu but not in sectioning
>> > ./android.texi:528: warning: node `Android Environment' is prev for
>> > `Android Windowing' in menu but not in sectioning
>> 
>> I don't receive this warning here, nor can I locate any inconsistencies
>> between the menu and sectioning.
>
> I see you used @section's without a @node.  Why did you do that?  It
> is in general not recommended, as it makes it harder for the readers
> to find those node-less sections.
>
> I suggest to add @node's there.

Thanks.  How about @subsection's?  The relative importance of the
contents of those node-less sections doesn't justify placement in
their own nodes, IMHO.